Bug 1293561 - Octave has appdata.xml but doesn't show up in Gnome Software
Summary: Octave has appdata.xml but doesn't show up in Gnome Software
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-22 07:01 UTC by Colin Macdonald
Modified: 2018-05-29 16:43 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:14:14 UTC


Attachments (Terms of Use)
0001-validate-appdata.xml-file.patch (795 bytes, patch)
2015-12-22 07:01 UTC, Colin Macdonald
no flags Details | Diff
0001-validate-appdata.xml-file.patch (1.04 KB, patch)
2015-12-22 17:32 UTC, Colin Macdonald
no flags Details | Diff

Description Colin Macdonald 2015-12-22 07:01:36 UTC
Created attachment 1108581 [details]
0001-validate-appdata.xml-file.patch

Only "Cantor" shows up in a Gnome Software search for "octave".

---

I ran "gnome-software --verbose | grep -i octave" and got:

(org.gnome.Software:16784): As-DEBUG: adding existing file: /usr/share/appdata/www.octave.org-octave.appdata.xml
(org.gnome.Software:16784): As-DEBUG: adding existing file: /usr/share/applications/www.octave.org-octave.desktop
(org.gnome.Software:16784): As-DEBUG: merging duplicate desktop:appdata entries: www.octave.org-octave.desktop
(org.gnome.Software:16784): GsPlugin-DEBUG: no AppStream match for {pkgname} octave

(org.gnome.Software:16784): GsPlugin-WARNING **: Failed to find one package for innovidata-opennx.desktop, /usr/local/share/applications/innovidata-opennx.desktop, [0]

(org.gnome.Software:16784): GsPlugin-WARNING **: Failed to find one package for innovidata-opennx-admin.desktop, /usr/local/share/applications/innovidata-opennx-admin.desktop, [0]

(org.gnome.Software:16784): GsPlugin-WARNING **: Failed to find one package for innovidata-opennx-wizard.desktop, /usr/local/share/applications/innovidata-opennx-wizard.desktop, [0]
(org.gnome.Software:16784): GsPlugin-DEBUG: fedora-tagger setting rating on octave to 90% [159]
(org.gnome.Software:16784): GsPlugin-DEBUG: octave is popular [confidence 159]
(org.gnome.Software:16784): GsPlugin-DEBUG: fedora-tagger setting rating on octave to 90% [159]
(org.gnome.Software:16784): GsPlugin-DEBUG: octave is popular [confidence 159]
(org.gnome.Software:16784): Gs-DEBUG: removing incompatible www.octave.org-octave.desktop from project group GNU
(org.gnome.Software:16784): Gs-DEBUG: removing incompatible www.octave.org-octave.desktop from project group GNU

---

I also did:

$ appstream-util validate-relax --nonet /usr/share/appdata/www.octave.org-octave.appdata.xml
/usr/share/appdata/www.octave.org-octave.appdata.xml: OK

$ appstream-util validate-strict --nonet /usr/share/appdata/www.octave.org-octave.appdata.xml
/usr/share/appdata/www.octave.org-octave.appdata.xml: FAILED:
• tag-invalid           : <metadata_license> is not valid [GPLv3+]
• tag-missing           : <project_license> is not present
• value-missing         : <!-- Copyright [year] [name] --> is not present
• translations-required  : <name> has no translations
• translations-required  : <summary> has no translations
• translations-required  : <description> has no translations
• attribute-invalid     : <licence> is deprecated, use <metadata_license> instead
Validation of files failed

---

There are some easy fixes to the appdata.xml, if I get a chance I'll send patches upstream.

---

As per https://fedoraproject.org/wiki/Packaging:AppData, the spec file should validate.  I'll attach a patch.

Comment 1 Colin Macdonald 2015-12-22 07:02:49 UTC
Sorry I've combined two issues here, should've filed two bugs.

To clarify, my patch does not fix this issue, it just improves the spec file.

Comment 2 Colin Macdonald 2015-12-22 17:32:48 UTC
Created attachment 1108677 [details]
0001-validate-appdata.xml-file.patch

Comment 3 Colin Macdonald 2015-12-29 07:32:01 UTC
So this looks like the key bit:

> (org.gnome.Software:16784): Gs-DEBUG: removing incompatible
> www.octave.org-octave.desktop from project group GNU

If I remove this line from www.octave.org-octave.appdata.xml

   <project_group>GNU</project_group>

then "killall gnome-software; gnome-software --verbose" correctly shows Octave.

Comment 4 Orion Poplawski 2015-12-29 17:55:33 UTC
I'm curious about this.  Re-assigning to gnome-software to bring in those folks.  While http://people.freedesktop.org/~hughsient/appdata/ doesn't seem to be completely explicit that <project_group> should/must be a desktop environment, gnome-software appears to assume that it is and uses it to exclude "incompatible" software.  Richard - what's the intent here?

Comment 5 Kalev Lember 2015-12-29 20:19:12 UTC
I'm not Richard and don't really know the whole story here, but looking at the code the list of allowed values for <project_group> is taken from https://github.com/hughsie/appstream-glib/blob/master/libappstream-glib/as-environment-ids.txt

Comment 6 Colin Macdonald 2015-12-30 08:33:10 UTC
Thanks!  I filed https://github.com/hughsie/appstream-glib/issues/73 for appstream-util to validate against that list.

Comment 7 Colin Macdonald 2015-12-30 08:45:42 UTC
Send fix to upstream Octave: https://savannah.gnu.org/patch/?8842.

@Orion, we could probably do this in the octave.spec to fix this...

Comment 8 Fedora Update System 2015-12-31 15:05:34 UTC
octave-4.0.0-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8f6ad2a67a

Comment 9 Fedora Update System 2016-01-03 03:23:32 UTC
octave-4.0.0-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8f6ad2a67a

Comment 10 Fedora Update System 2016-01-03 20:22:07 UTC
octave-4.0.0-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Orion Poplawski 2016-02-07 21:38:20 UTC
Richard - can you comment on this?  From the description of <project_group>, the octave folk feel that GNU would be an appropriate description for octave.  If this tag is to be limited to a specific set of desktop environments, this needs to be made more specific.

Comment 12 Fedora End Of Life 2016-11-24 14:27:19 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Kalev Lember 2016-12-29 14:03:38 UTC
I looked at why octave isn't still showing up in the appstream metadata and apparently it's now erroring out because the <license> isn't a valid SPDX license:

AppData ./tmp/fedora-26/octave-4.2.0-11.fc26/usr/share/appdata/www.octave.org-octave.appdata.xml license 'GPLv3+' invalid

https://github.com/hughsie/createrepo_as_logs/blob/master/o/octave.log

I've pushed a quick fix to rawhide, let's see if that makes it work tomorrow. I would appreciate if someone who knows how upstream patch submission works could forward this upstream. Thanks!

http://pkgs.fedoraproject.org/cgit/rpms/octave.git/commit/?id=d752630df28336be61ccd8e7ac3cd33cd2fb09d1

Comment 14 Orion Poplawski 2016-12-29 16:37:08 UTC
Filed upstream: https://savannah.gnu.org/bugs/index.php?49952

Comment 15 Fedora End Of Life 2017-02-28 09:51:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 16 Fedora End Of Life 2018-05-03 08:31:47 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2018-05-29 12:14:14 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 18 Colin Macdonald 2018-05-29 16:43:56 UTC
I think this has all been dealt with upstream.


Note You need to log in before you can comment on or make changes to this bug.